Index: svn/src/mainboard/supermicro/h8qme_fam10/romstage.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8qme_fam10/romstage.c
+++ svn/src/mainboard/supermicro/h8qme_fam10/romstage.c
@@ -232,16 +232,16 @@ void cache_as_ram_main(unsigned long bis
 	uart_init();
 	console_init();
 	write_GPIO();
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "\n");
 
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
  val = cpuid_eax(1);
- printk(BIOS_DEBUG, "BSP Family_Model: %08x \n", val);
- printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
- printk(BIOS_DEBUG, "bsp_apicid = %02x \n", bsp_apicid);
- printk(BIOS_DEBUG, "cpu_init_detectedx = %08lx \n", cpu_init_detectedx);
+ printk(DEBUG, "BSP Family_Model: %08x \n", val);
+ printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+ printk(DEBUG, "bsp_apicid = %02x \n", bsp_apicid);
+ printk(DEBUG, "cpu_init_detectedx = %08lx \n", cpu_init_detectedx);
 
  /* Setup sysinfo defaults */
  set_sysinfo_in_ram(0);
@@ -272,7 +272,7 @@ void cache_as_ram_main(unsigned long bis
         wait_all_core0_started();
 #if CONFIG_LOGICAL_CPUS==1
  /* Core0 on each node is configured. Now setup any additional cores. */
- printk(BIOS_DEBUG, "start_other_cores()\n");
+ printk(DEBUG, "start_other_cores()\n");
         start_other_cores();
  post_code(0x37);
         wait_all_other_cores_started(bsp_apicid);
@@ -282,7 +282,7 @@ void cache_as_ram_main(unsigned long bis
 
 #if FAM10_SET_FIDVID == 1
  msr = rdmsr(0xc0010071);
- printk(BIOS_DEBUG, "\nBegin FIDVID MSR 0xc0010071 0x%08x 0x%08x \n", msr.hi, msr.lo);
+ printk(DEBUG, "\nBegin FIDVID MSR 0xc0010071 0x%08x 0x%08x \n", msr.hi, msr.lo);
 
  /* FIXME: The sb fid change may survive the warm reset and only
   * need to be done once.*/
@@ -300,7 +300,7 @@ void cache_as_ram_main(unsigned long bis
 
  /* show final fid and vid */
  msr=rdmsr(0xc0010071);
- printk(BIOS_DEBUG, "End FIDVIDMSR 0xc0010071 0x%08x 0x%08x \n", msr.hi, msr.lo);
+ printk(DEBUG, "End FIDVIDMSR 0xc0010071 0x%08x 0x%08x \n", msr.hi, msr.lo);
 #endif
 
  wants_reset = mcp55_early_setup_x();
@@ -313,17 +313,17 @@ void cache_as_ram_main(unsigned long bis
         }
 
  if (wants_reset)
-   printk(BIOS_DEBUG, "mcp55_early_setup_x wanted additional reset!\n");
+   printk(DEBUG, "mcp55_early_setup_x wanted additional reset!\n");
 
  post_code(0x3B);
 
 /* It's the time to set ctrl in sysinfo now; */
-printk(BIOS_DEBUG, "fill_mem_ctrl()\n");
+printk(DEBUG, "fill_mem_ctrl()\n");
 fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
 
 post_code(0x3D);
 
-//printk(BIOS_DEBUG, "enable_smbus()\n");
+//printk(DEBUG, "enable_smbus()\n");
 //        enable_smbus(); /* enable in sio_setup */
 
 post_code(0x3E);
@@ -332,11 +332,11 @@ post_code(0x3E);
 
 post_code(0x40);
 
- printk(BIOS_DEBUG, "raminit_amdmct()\n");
+ printk(DEBUG, "raminit_amdmct()\n");
  raminit_amdmct(sysinfo);
  post_code(0x41);
 
-// printk(BIOS_DEBUG, "\n*** Yes, the copy/decompress is taking a while, FIXME!\n");
+// printk(DEBUG, "\n*** Yes, the copy/decompress is taking a while, FIXME!\n");
  post_cache_as_ram();  // BSP switch stack to ram, copy then execute LB.
  post_code(0x42);  // Should never see this post code.
 
Index: svn/src/mainboard/supermicro/x6dai_g/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/x6dai_g/mptable.c
+++ svn/src/mainboard/supermicro/x6dai_g/mptable.c
@@ -44,7 +44,7 @@ static void *smp_write_config_table(void
 			bus_isa++;
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 0:1e.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 0:1e.0, using defaults\n");
 			bus_6300 = 5;
 			bus_isa = 6;
 		}
@@ -128,7 +128,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/supermicro/x6dhe_g/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/x6dhe_g/mptable.c
+++ svn/src/mainboard/supermicro/x6dhe_g/mptable.c
@@ -45,7 +45,7 @@ static void *smp_write_config_table(void
 			bus_esb6300_1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 0:1c.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 0:1c.0, using defaults\n");
 
 			bus_esb6300_2 = 6;
 		}
@@ -57,7 +57,7 @@ static void *smp_write_config_table(void
 			bus_isa++;
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 0:1e.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 0:1e.0, using defaults\n");
 
 			bus_esb6300_1 = 7;
 			bus_isa = 8;
@@ -69,7 +69,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:00.1, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:00.1, using defaults\n");
 
 			bus_pxhd_1 = 2;
 		}
@@ -80,7 +80,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
 
 			bus_pxhd_2 = 3;
 		}
@@ -108,8 +108,8 @@ static void *smp_write_config_table(void
 			}
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find IOAPIC PCI 1:00.1\n");
-			printk(BIOS_DEBUG, "CONFIG_DEBUG: Dev= %p\n", dev);
+			printk(DEBUG, "ERROR - could not find IOAPIC PCI 1:00.1\n");
+			printk(DEBUG, "CONFIG_DEBUG: Dev= %p\n", dev);
 		}
 		/* PXHd apic 5 */
 		dev = dev_find_slot(1, PCI_DEVFN(0x00,3));
@@ -120,8 +120,8 @@ static void *smp_write_config_table(void
 			}
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find IOAPIC PCI 1:00.3\n");
-			printk(BIOS_DEBUG, "CONFIG_DEBUG: Dev= %p\n", dev);
+			printk(DEBUG, "ERROR - could not find IOAPIC PCI 1:00.3\n");
+			printk(DEBUG, "CONFIG_DEBUG: Dev= %p\n", dev);
 		}
 	}
 
@@ -188,7 +188,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/supermicro/x6dhe_g2/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/x6dhe_g2/mptable.c
+++ svn/src/mainboard/supermicro/x6dhe_g2/mptable.c
@@ -45,7 +45,7 @@ static void *smp_write_config_table(void
 			bus_esb6300_1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 0:1c.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 0:1c.0, using defaults\n");
 
 			bus_esb6300_2 = 6;
 		}
@@ -57,7 +57,7 @@ static void *smp_write_config_table(void
 			bus_isa++;
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 0:1e.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 0:1e.0, using defaults\n");
 
 			bus_esb6300_1 = 7;
 			bus_isa = 8;
@@ -69,7 +69,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:00.1, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:00.1, using defaults\n");
 
 			bus_pxhd_1 = 2;
 		}
@@ -80,7 +80,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
 
 			bus_pxhd_2 = 3;
 		}
@@ -108,8 +108,8 @@ static void *smp_write_config_table(void
 			}
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find IOAPIC PCI 1:00.1\n");
-			printk(BIOS_DEBUG, "CONFIG_DEBUG: Dev= %p\n", dev);
+			printk(DEBUG, "ERROR - could not find IOAPIC PCI 1:00.1\n");
+			printk(DEBUG, "CONFIG_DEBUG: Dev= %p\n", dev);
 		}
 		/* PXHd apic 5 */
 		dev = dev_find_slot(1, PCI_DEVFN(0x00,3));
@@ -120,8 +120,8 @@ static void *smp_write_config_table(void
 			}
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find IOAPIC PCI 1:00.3\n");
-			printk(BIOS_DEBUG, "CONFIG_DEBUG: Dev= %p\n", dev);
+			printk(DEBUG, "ERROR - could not find IOAPIC PCI 1:00.3\n");
+			printk(DEBUG, "CONFIG_DEBUG: Dev= %p\n", dev);
 		}
 	}
 
@@ -188,7 +188,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/supermicro/x6dhr_ig/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/x6dhr_ig/mptable.c
+++ svn/src/mainboard/supermicro/x6dhr_ig/mptable.c
@@ -48,7 +48,7 @@ static void *smp_write_config_table(void
 			bus_isa++;
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 0:1f.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 0:1f.0, using defaults\n");
 
 			bus_ich5r_1 = 9;
 			bus_isa = 10;
@@ -60,7 +60,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:00.1, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:00.1, using defaults\n");
 
 			bus_pxhd_1 = 3;
 		}
@@ -71,7 +71,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
 
 			bus_pxhd_2 = 4;
 		}
@@ -83,7 +83,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:00.1, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:00.1, using defaults\n");
 
 			bus_pxhd_3 = 6;
 		}
@@ -94,7 +94,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
 
 			bus_pxhd_4 = 7;
 		}
@@ -122,7 +122,7 @@ static void *smp_write_config_table(void
 			}
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find IOAPIC PCI 2:00.1\n");
+			printk(DEBUG, "ERROR - could not find IOAPIC PCI 2:00.1\n");
 		}
 		/* pxhd apic 4 */
 		dev = dev_find_slot(2, PCI_DEVFN(0x00,3));
@@ -133,7 +133,7 @@ static void *smp_write_config_table(void
 			}
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find IOAPIC PCI 2:00.3\n");
+			printk(DEBUG, "ERROR - could not find IOAPIC PCI 2:00.3\n");
 		}
 		/* pxhd apic 5 */
 		dev = dev_find_slot(5, PCI_DEVFN(0x00,1));
@@ -144,7 +144,7 @@ static void *smp_write_config_table(void
 			}
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find IOAPIC PCI 5:00.1\n");
+			printk(DEBUG, "ERROR - could not find IOAPIC PCI 5:00.1\n");
 		}
 		/* pxhd apic 8 */
 		dev = dev_find_slot(5, PCI_DEVFN(0x00,3));
@@ -155,7 +155,7 @@ static void *smp_write_config_table(void
 			}
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find IOAPIC PCI 5:00.3\n");
+			printk(DEBUG, "ERROR - could not find IOAPIC PCI 5:00.3\n");
 		}
 	}
 
@@ -222,7 +222,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/supermicro/x6dhr_ig2/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/x6dhr_ig2/mptable.c
+++ svn/src/mainboard/supermicro/x6dhr_ig2/mptable.c
@@ -48,7 +48,7 @@ static void *smp_write_config_table(void
 			bus_isa++;
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 0:1e.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 0:1e.0, using defaults\n");
 
 			bus_ich5r_1 = 7;
 			bus_isa = 8;
@@ -60,7 +60,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:00.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:00.0, using defaults\n");
 
 			bus_pxhd_1 = 2;
 		}
@@ -71,7 +71,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:00.2, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:00.2, using defaults\n");
 
 			bus_pxhd_2 = 3;
 		}
@@ -83,7 +83,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 0:04.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 0:04.0, using defaults\n");
 
 			bus_pxhd_3 = 5;
 		}
@@ -94,7 +94,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 0:06.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 0:06.0, using defaults\n");
 
 			bus_pxhd_4 = 6;
 		}
@@ -122,7 +122,7 @@ static void *smp_write_config_table(void
 			}
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find IOAPIC PCI 1:00.1\n");
+			printk(DEBUG, "ERROR - could not find IOAPIC PCI 1:00.1\n");
 		}
 		/* pxhd apic 4 */
 		dev = dev_find_slot(1, PCI_DEVFN(0x00,3));
@@ -133,7 +133,7 @@ static void *smp_write_config_table(void
 			}
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find IOAPIC PCI 1:00.3\n");
+			printk(DEBUG, "ERROR - could not find IOAPIC PCI 1:00.3\n");
 		}
 	}	
 	/* ISA backward compatibility interrupts  */
@@ -205,7 +205,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/technexion/tim5690/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim5690/acpi_tables.c
+++ svn/src/mainboard/technexion/tim5690/acpi_tables.c
@@ -49,9 +49,9 @@ static void dump_mem(u32 start, u32 end)
 	print_debug("dump_mem:");
 	for (i = start; i < end; i++) {
 		if ((i & 0xf) == 0) {
-			printk(BIOS_DEBUG, "\n%08x:", i);
+			printk(DEBUG, "\n%08x:", i);
 		}
-		printk(BIOS_DEBUG, " %02x", (u8)*((u8 *)i));
+		printk(DEBUG, " %02x", (u8)*((u8 *)i));
 	}
 	print_debug("\n");
 }
@@ -140,7 +140,7 @@ unsigned long write_acpi_tables(unsigned
 	start = (start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -158,20 +158,20 @@ unsigned long write_acpi_tables(unsigned
 	 * We explicitly add these tables later on:
 	 */
 	/* If we want to use HPET Timers Linux wants an MADT */
-	printk(BIOS_DEBUG, "ACPI:    * HPET\n");
+	printk(DEBUG, "ACPI:    * HPET\n");
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
 	acpi_create_hpet(hpet);
 	acpi_add_table(rsdp, hpet);
 
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current += madt->header.length;
 	acpi_add_table(rsdp, madt);
 
 	/* SSDT */
-	printk(BIOS_DEBUG, "ACPI:    * SSDT\n");
+	printk(DEBUG, "ACPI:    * SSDT\n");
 	ssdt = (acpi_header_t *)current;
 
 	acpi_create_ssdt_generator(ssdt, "DYNADATA");
@@ -179,19 +179,19 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, ssdt);
 
 	/* FACS */
-	printk(BIOS_DEBUG, "ACPI:    * FACS\n");
+	printk(DEBUG, "ACPI:    * FACS\n");
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
 
 	/* DSDT */
-	printk(BIOS_DEBUG, "ACPI:    * DSDT\n");
+	printk(DEBUG, "ACPI:    * DSDT\n");
 	dsdt = (acpi_header_t *) current;
 	memcpy((void *)dsdt, &AmlCode, AmlCode.length);
 	current += dsdt->length;
-	printk(BIOS_DEBUG, "ACPI:    * DSDT @ %p Length %x\n", dsdt, dsdt->length);
+	printk(DEBUG, "ACPI:    * DSDT @ %p Length %x\n", dsdt, dsdt->length);
 	/* FADT */
-	printk(BIOS_DEBUG, "ACPI:    * FADT\n");
+	printk(DEBUG, "ACPI:    * FADT\n");
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
 
@@ -199,22 +199,22 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, fadt);
 
 #if DUMP_ACPI_TABLES == 1
-	printk(BIOS_DEBUG, "rsdp\n");
+	printk(DEBUG, "rsdp\n");
 	dump_mem(rsdp, ((void *)rsdp) + sizeof(acpi_rsdp_t));
 
-	printk(BIOS_DEBUG, "rsdt\n");
+	printk(DEBUG, "rsdt\n");
 	dump_mem(rsdt, ((void *)rsdt) + sizeof(acpi_rsdt_t));
 
-	printk(BIOS_DEBUG, "madt\n");
+	printk(DEBUG, "madt\n");
 	dump_mem(madt, ((void *)madt) + madt->header.length);
 
-	printk(BIOS_DEBUG, "ssdt\n");
+	printk(DEBUG, "ssdt\n");
 	dump_mem(ssdt, ((void *)ssdt) + ssdt->length);
 
-	printk(BIOS_DEBUG, "fadt\n");
+	printk(DEBUG, "fadt\n");
 	dump_mem(fadt, ((void *)fadt) + fadt->header.length);
 #endif
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
Index: svn/src/mainboard/technexion/tim5690/fadt.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim5690/fadt.c
+++ svn/src/mainboard/technexion/tim5690/fadt.c
@@ -46,7 +46,7 @@ void acpi_create_fadt(acpi_fadt_t * fadt
 	acpi_header_t *header = &(fadt->header);
 
 	pm_base &= 0xFFFF;
-	printk(BIOS_DEBUG, "pm_base: 0x%04x\n", pm_base);
+	printk(DEBUG, "pm_base: 0x%04x\n", pm_base);
 
 	/* Prepare the header */
 	memset((void *)fadt, 0, sizeof(acpi_fadt_t));
Index: svn/src/mainboard/technexion/tim5690/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim5690/irq_tables.c
+++ svn/src/mainboard/technexion/tim5690/irq_tables.c
@@ -73,7 +73,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (u8 *) (addr);
@@ -113,7 +113,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "write_pirq_routing_table done.\n");
+	printk(INFO, "write_pirq_routing_table done.\n");
 
 	return (unsigned long)pirq_info;
 }
Index: svn/src/mainboard/technexion/tim5690/mainboard.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim5690/mainboard.c
+++ svn/src/mainboard/technexion/tim5690/mainboard.c
@@ -146,7 +146,7 @@ static void set_thermal_config(void)
 
 	byte = ADT7461_read_byte(0x02);	/* read status register to clear it */
 	ARA_read_byte(0x05); /* A hardware alert can only be cleared by the master sending an ARA as a read command */
-	printk(BIOS_INFO, "Init adt7461 end , status 0x02 %02x\n", byte);
+	printk(INFO, "Init adt7461 end , status 0x02 %02x\n", byte);
 
 	/* sb600 settings for thermal config */
 	/* set SB600 GPIO 64 to GPIO with pull-up */
@@ -245,7 +245,7 @@ void tim5690_enable(device_t dev)
 	u16 gpio_base = IT8712F_SIMPLE_IO_BASE;
 	u8 port2;
 
-	printk(BIOS_INFO, "Mainboard tim5690 Enable. dev=0x%p\n", dev);
+	printk(INFO, "Mainboard tim5690 Enable. dev=0x%p\n", dev);
 
 	mb_gpio_init(&gpio_base);
 
@@ -261,12 +261,12 @@ void tim5690_enable(device_t dev)
 
 	/* TOP_MEM: the top of DRAM below 4G */
 	msr = rdmsr(TOP_MEM);
-	printk(BIOS_INFO, "%s, TOP MEM: msr.lo = 0x%08x, msr.hi = 0x%08x\n",
+	printk(INFO, "%s, TOP MEM: msr.lo = 0x%08x, msr.hi = 0x%08x\n",
 		    __func__, msr.lo, msr.hi);
 
 	/* TOP_MEM2: the top of DRAM above 4G */
 	msr2 = rdmsr(TOP_MEM2);
-	printk(BIOS_INFO, "%s, TOP MEM2: msr2.lo = 0x%08x, msr2.hi = 0x%08x\n",
+	printk(INFO, "%s, TOP MEM2: msr2.lo = 0x%08x, msr2.hi = 0x%08x\n",
 		    __func__, msr2.lo, msr2.hi);
 
 	switch (msr.lo) {
@@ -288,7 +288,7 @@ void tim5690_enable(device_t dev)
 	}
 
 	uma_memory_base = msr.lo - uma_memory_size;	/* TOP_MEM1 */
-	printk(BIOS_INFO, "%s: uma size 0x%08llx, memory start 0x%08llx\n",
+	printk(INFO, "%s: uma size 0x%08llx, memory start 0x%08llx\n",
 		    __func__, uma_memory_size, uma_memory_base);
 
 	/* TODO: TOP_MEM2 */
@@ -306,7 +306,7 @@ int add_mainboard_resources(struct lb_me
 	 * in some circumstances we want the memory mentioned as reserved.
  	 */
 #if (CONFIG_GFXUMA == 1)
-	printk(BIOS_INFO, "uma_memory_base=0x%llx, uma_memory_size=0x%llx \n",
+	printk(INFO, "uma_memory_base=0x%llx, uma_memory_size=0x%llx \n",
 	uma_memory_base, uma_memory_size);
 	lb_add_memory_range(mem, LB_MEM_RESERVED,
 		uma_memory_base, uma_memory_size);
Index: svn/src/mainboard/technexion/tim5690/mptable.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim5690/mptable.c
+++ svn/src/mainboard/technexion/tim5690/mptable.c
@@ -199,7 +199,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum =
 	    smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		     mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/technexion/tim5690/romstage.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim5690/romstage.c
+++ svn/src/mainboard/technexion/tim5690/romstage.c
@@ -136,7 +136,7 @@ void cache_as_ram_main(unsigned long bis
 
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
-	printk(BIOS_DEBUG, "bsp_apicid=0x%x\n", bsp_apicid);
+	printk(DEBUG, "bsp_apicid=0x%x\n", bsp_apicid);
 
 	setup_tim5690_resource_map();
 
@@ -162,7 +162,7 @@ void cache_as_ram_main(unsigned long bis
 
 		/* Read FIDVID_STATUS */
 		msr=rdmsr(0xc0010042);
-		printk(BIOS_DEBUG, "begin msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
+		printk(DEBUG, "begin msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
 
 		enable_fid_change();
 		enable_fid_change_on_sb(sysinfo->sbbusn, sysinfo->sbdn);
@@ -170,16 +170,16 @@ void cache_as_ram_main(unsigned long bis
 
 		/* show final fid and vid */
 		msr=rdmsr(0xc0010042);
-		printk(BIOS_DEBUG, "end msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
+		printk(DEBUG, "end msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
 
 	} else {
-		printk(BIOS_DEBUG, "Changing FIDVID not supported\n");
+		printk(DEBUG, "Changing FIDVID not supported\n");
 	}
 
 	needs_reset = optimize_link_coherent_ht();
 	needs_reset |= optimize_link_incoherent_ht(sysinfo);
 	rs690_htinit();
-	printk(BIOS_DEBUG, "needs_reset=0x%x\n", needs_reset);
+	printk(DEBUG, "needs_reset=0x%x\n", needs_reset);
 
 	if (needs_reset) {
 		print_info("ht reset -\n");
@@ -192,7 +192,7 @@ void cache_as_ram_main(unsigned long bis
 	allow_all_aps_stop(bsp_apicid);
 
 	/* It's the time to set ctrl now; */
-	printk(BIOS_DEBUG, "sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
+	printk(DEBUG, "sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
 		     sysinfo->nodes, sysinfo->ctrl, spd_addr);
 
 	fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
Index: svn/src/mainboard/technexion/tim5690/vgabios.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim5690/vgabios.c
+++ svn/src/mainboard/technexion/tim5690/vgabios.c
@@ -41,7 +41,7 @@ int tim5690_int15_handler(struct eregs *
 {
         int res = -1;
 
-        printk(BIOS_DEBUG, "tim5690_int15_handler\n");
+        printk(DEBUG, "tim5690_int15_handler\n");
 
         switch (regs->eax & 0xffff) {
         case AMD_RS690_INT15:
@@ -59,7 +59,7 @@ int tim5690_int15_handler(struct eregs *
                 }
                 break;
         default:
-                printk(BIOS_DEBUG, "Unknown INT15 function %04x!\n",
+                printk(DEBUG, "Unknown INT15 function %04x!\n",
                                 regs->eax & 0xffff);
 		break;
         }
@@ -70,7 +70,7 @@ int tim5690_int15_handler(struct eregs *
 /* Initialization VBIOS function */
 void vgabios_init(rs690_vbios_regs *vbios_regs)
 {
-	printk(BIOS_DEBUG, "vgabios_init\n");
+	printk(DEBUG, "vgabios_init\n");
 
 	mainboard_interrupt_handlers(0x15, &tim5690_int15_handler);
 	vbios_fun_init(vbios_regs);
Index: svn/src/mainboard/technexion/tim8690/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim8690/acpi_tables.c
+++ svn/src/mainboard/technexion/tim8690/acpi_tables.c
@@ -49,9 +49,9 @@ static void dump_mem(u32 start, u32 end)
 	print_debug("dump_mem:");
 	for (i = start; i < end; i++) {
 		if ((i & 0xf) == 0) {
-			printk(BIOS_DEBUG, "\n%08x:", i);
+			printk(DEBUG, "\n%08x:", i);
 		}
-		printk(BIOS_DEBUG, " %02x", (u8)*((u8 *)i));
+		printk(DEBUG, " %02x", (u8)*((u8 *)i));
 	}
 	print_debug("\n");
 }
@@ -140,7 +140,7 @@ unsigned long write_acpi_tables(unsigned
 	start = (start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -158,20 +158,20 @@ unsigned long write_acpi_tables(unsigned
 	 * We explicitly add these tables later on:
 	 */
 	/* If we want to use HPET Timers Linux wants an MADT */
-	printk(BIOS_DEBUG, "ACPI:    * HPET\n");
+	printk(DEBUG, "ACPI:    * HPET\n");
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
 	acpi_create_hpet(hpet);
 	acpi_add_table(rsdp, hpet);
 
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current += madt->header.length;
 	acpi_add_table(rsdp, madt);
 
 	/* SSDT */
-	printk(BIOS_DEBUG, "ACPI:    * SSDT\n");
+	printk(DEBUG, "ACPI:    * SSDT\n");
 	ssdt = (acpi_header_t *)current;
 
 	acpi_create_ssdt_generator(ssdt, "DYNADATA");
@@ -179,19 +179,19 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, ssdt);
 
 	/* FACS */
-	printk(BIOS_DEBUG, "ACPI:    * FACS\n");
+	printk(DEBUG, "ACPI:    * FACS\n");
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
 
 	/* DSDT */
-	printk(BIOS_DEBUG, "ACPI:    * DSDT\n");
+	printk(DEBUG, "ACPI:    * DSDT\n");
 	dsdt = (acpi_header_t *) current;
 	memcpy((void *)dsdt, &AmlCode, AmlCode.length);
 	current += dsdt->length;
-	printk(BIOS_DEBUG, "ACPI:    * DSDT @ %p Length %x\n", dsdt, dsdt->length);
+	printk(DEBUG, "ACPI:    * DSDT @ %p Length %x\n", dsdt, dsdt->length);
 	/* FADT */
-	printk(BIOS_DEBUG, "ACPI:    * FADT\n");
+	printk(DEBUG, "ACPI:    * FADT\n");
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
 
@@ -199,22 +199,22 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, fadt);
 
 #if DUMP_ACPI_TABLES == 1
-	printk(BIOS_DEBUG, "rsdp\n");
+	printk(DEBUG, "rsdp\n");
 	dump_mem(rsdp, ((void *)rsdp) + sizeof(acpi_rsdp_t));
 
-	printk(BIOS_DEBUG, "rsdt\n");
+	printk(DEBUG, "rsdt\n");
 	dump_mem(rsdt, ((void *)rsdt) + sizeof(acpi_rsdt_t));
 
-	printk(BIOS_DEBUG, "madt\n");
+	printk(DEBUG, "madt\n");
 	dump_mem(madt, ((void *)madt) + madt->header.length);
 
-	printk(BIOS_DEBUG, "ssdt\n");
+	printk(DEBUG, "ssdt\n");
 	dump_mem(ssdt, ((void *)ssdt) + ssdt->length);
 
-	printk(BIOS_DEBUG, "fadt\n");
+	printk(DEBUG, "fadt\n");
 	dump_mem(fadt, ((void *)fadt) + fadt->header.length);
 #endif
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
Index: svn/src/mainboard/technexion/tim8690/fadt.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim8690/fadt.c
+++ svn/src/mainboard/technexion/tim8690/fadt.c
@@ -46,7 +46,7 @@ void acpi_create_fadt(acpi_fadt_t * fadt
 	acpi_header_t *header = &(fadt->header);
 
 	pm_base &= 0xFFFF;
-	printk(BIOS_DEBUG, "pm_base: 0x%04x\n", pm_base);
+	printk(DEBUG, "pm_base: 0x%04x\n", pm_base);
 
 	/* Prepare the header */
 	memset((void *)fadt, 0, sizeof(acpi_fadt_t));
Index: svn/src/mainboard/technexion/tim8690/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim8690/irq_tables.c
+++ svn/src/mainboard/technexion/tim8690/irq_tables.c
@@ -73,7 +73,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (u8 *) (addr);
@@ -113,7 +113,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "write_pirq_routing_table done.\n");
+	printk(INFO, "write_pirq_routing_table done.\n");
 
 	return (unsigned long)pirq_info;
 }
